Subject: Re: [RFC net-next 00/28] ndo_ioctl rework

From: Kalle Valo <[email-masked]>
Date: Mon, 09 Nov 2020 13:25:48 +0200

Arnd Bergmann <[email-masked]> writes:

> On Sun, Nov 8, 2020 at 12:21 PM Kalle Valo <[email-masked]> wrote:
>> Jakub Kicinski <[email-masked]> writes:
>>
>> So I don't know what to do. Should we try adding a warning like below? :)
>>
>>   "This ancient driver will be removed from the kernel in 2022, but if
>>    it still works send report to <...@...> to avoid the removal."
>>
>> How do other subsystems handle ancient drivers?
>
> A good way to get everyone's attention would be to collect as many
> drivers as possible that are almost certainly unused and move them to
> drivers/staging/ with a warning like the above, as I just did for
> drivers/wimax. That would make it to the usual news outlets
> and lead to the remaining users (if any) noticing it so they can then
> ask for the drivers to be moved back -- or decide it's time to let go
> if the hardware can easily be replaced.

I like that. I think we first should make a list of drivers which we
suspect are either unused or not working anymore.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches